summaryrefslogtreecommitdiff
path: root/font
diff options
context:
space:
mode:
authorG. Branden Robinson <g.branden.robinson@gmail.com>2023-02-13 11:09:25 -0600
committerG. Branden Robinson <g.branden.robinson@gmail.com>2023-02-13 11:09:25 -0600
commit2ff76bc40468394c7aed3e0209880cd2c490c961 (patch)
tree44829157a20205912375593fbb92b4186aca80ef /font
parentebf09e1e345149f12a8ed5bff4d7a5c739e75f45 (diff)
downloadgroff-git-2ff76bc40468394c7aed3e0209880cd2c490c961.tar.gz
[gropdf]: Skip a test if gs unavailable.
* font/devpdf/tests/basic-fonts-present.sh: Skip test if 'gs' command not available. The test is to ensure that gropdf will produce sound documents using the base fonts from PostScript, but since gropdf requires Ghostscript to do this (as noted in our "./configure" messages), it makes no sense to validate font availability if the program is absent. Resolves test failure seen on macOS with minimal dependencies installed.
Diffstat (limited to 'font')
-rwxr-xr-xfont/devpdf/tests/basic-fonts-present.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/font/devpdf/tests/basic-fonts-present.sh b/font/devpdf/tests/basic-fonts-present.sh
index 5b55ed5ef..b373dfc0f 100755
--- a/font/devpdf/tests/basic-fonts-present.sh
+++ b/font/devpdf/tests/basic-fonts-present.sh
@@ -23,6 +23,14 @@
#
# We need all of them except SS and ZDR.
+# Our configure script warns that gropdf will not be functional if gs
+# (Ghostscript) is not available.
+if ! command -v gs
+then
+ echo "gs command not available; skipping test" >&2
+ exit 77 # skip
+fi
+
devps_fontsrcdir="${abs_top_srcdir:-..}"/font/devps
devpdf_fontbuilddir="${abs_top_builddir:-.}"/font/devpdf